astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- VOTable XML handling (`astropy.io.votable`) »
- Group

# Group

class `astropy.io.votable.tree.``Group`(table, ID=None, name=None, ref=None, ucd=None, utype=None, id=None, config={}, pos=None, **extra)

  Bases: `astropy.io.votable.tree.Element`, `astropy.io.votable.tree._IDProperty`, `astropy.io.votable.tree._NameProperty`, `astropy.io.votable.tree._UtypeProperty`, `astropy.io.votable.tree._UcdProperty`, `astropy.io.votable.tree._DescriptionProperty`

  GROUP element: groups FIELD and PARAM elements.

  This information is currently ignored by the vo package—that is the columns in the recarray are always flat—but the grouping information is stored so that it can be written out again to the XML file.

  The keyword arguments correspond to setting members of the same name, documented below.

  Attributes Summary

  `entries` | [read-only] A list of members of the GROUP. This list may
  `ref` | Currently ignored, as it’s not clear from the spec how this is meant to work.

  Methods Summary

  `iter_fields_and_params`() | Recursively iterate over all `Param` elements in this `Group`.
  `iter_groups`() | Recursively iterate over all sub-`Group` instances in this `Group`.
  `parse`(iterator, config) |
  `to_xml`(w, **kwargs) |

  Attributes Documentation

  `entries`

    [read-only] A list of members of the GROUP. This list may only contain objects of type `Param`, `Group`, `ParamRef` and `FieldRef`.

  `ref`

    Currently ignored, as it’s not clear from the spec how this is meant to work.

  Methods Documentation

  `iter_fields_and_params`()

    Recursively iterate over all `Param` elements in this `Group`.

  `iter_groups`()

    Recursively iterate over all sub-`Group` instances in this `Group`.

  `parse`(iterator, config)
  `to_xml`(w, **kwargs)